Subject: bug#18754: tests/t0251-gpt-unicode.sh depends on C.UTF-8 locale

From: "Brian C. Lane" <[email-masked]>
Date: Fri, 17 Oct 2014 14:21:59 -0700

On Fri, Oct 17, 2014 at 08:07:16PM +0100, Adam Sampson wrote:
> Hi parted maintainers,
> 
> In parted 3.2, tests/t0251-gpt-unicode.sh needs the C.UTF-8 locale.
> However, this isn't provided by stock glibc, and it's not available on
> all systems (only ones like Debian where they've patched it in).
> 
> I guess the test only really needs *some* UTF-8 locale, so a potential
> fix would be to grep the output of "locale -a" for a UTF-8 locale to
> use -- and not run the test at all if there isn't one.

I have a patch to fix this by trying en_US.UTF-8 first and then C.UTF-8
if that doesn't exist.

http://lists.alioth.debian.org/pipermail/parted-devel/2014-July/004568.html

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)